curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply'
);
const data = await response.json();
{
"protocols": [
{
"name": "aave",
"total_supply": 1500000000,
"available_liquidity": 500000000
},
{
"name": "compound",
"total_supply": 800000000,
"available_liquidity": 200000000
}
]
}
Protocols
Get Protocols Supply
Get the total supply for each protocol
GET
/
api
/
v1
/
{chain_id}
/
{token_address}
/
protocols
/
supply
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply'
);
const data = await response.json();
{
"protocols": [
{
"name": "aave",
"total_supply": 1500000000,
"available_liquidity": 500000000
},
{
"name": "compound",
"total_supply": 800000000,
"available_liquidity": 200000000
}
]
}
Description
Retrieves the total supply and available tokens for each protocol on a chain.Path Parameters
integer
required
The blockchain chain ID
string
required
The token address
Response
Returns supply information for each protocol.curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913/protocols/supply'
);
const data = await response.json();
{
"protocols": [
{
"name": "aave",
"total_supply": 1500000000,
"available_liquidity": 500000000
},
{
"name": "compound",
"total_supply": 800000000,
"available_liquidity": 200000000
}
]
}